### Function Macro

# Gtkwidget_class_bind_template_child

#### Declaration [src]

    #define gtk_widget_class_bind_template_child (
      widget_class,
      TypeName,
      member_name
    )

#### Description [src]

Binds a child widget defined in a template to the `widget_class`.

This macro is a convenience wrapper around the `gtk_widget_class_bind_template_child_full()` function.

This macro will use the offset of the `member_name` inside the `TypeName` instance structure.

This function is not directly available to language bindings.

#### Parameters

`widget_class`

  Type: `-`

  A `GtkWidgetClass`

`TypeName`

  Type: `-`

  The type name of this widget.

`member_name`

  Type: `-`

  Name of the instance member in the instance struct for `data_type`.